# Generated from confrb-2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name confrb

Name: rubygem-%{gem_name}
Version: 2.3
Release: 1%{?dist}
Summary: Plaintext configuration library for Ruby
License: MIT
URL: https://gitlab.com/Gsbhasin84/confrb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A Ruby Gem which allows you to store configuration files using hidden
directories. Supports JSON, YAML, and plaintext. Data is unencrypted, but you
can hash/encrypt data yourself before passing it to be written.  Useful for
simple text adventure games, etc. Docs and examples at
https://gitlab.com/Gsbhasin84/confrb.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 2.3-1
- Initial package
